Vagrant.configure("2") do |config|
  config.vm.define "centos-7", autostart: false do |node|
    node.vm.box = "centos/7"
  end

  config.vm.define "centos-8", autostart: false do |node|
    node.vm.box = "centos/8"
  end

  config.vm.define "debian-buster", autostart: false do |node|
    node.vm.box = "debian/contrib-buster64"
  end

  config.vm.provision "shell",
    path: "scripts/vagrant-provision.sh"

  config.vm.provider "virtualbox" do |vb|
    vb.linked_clone = true
    vb.cpus = 2
    vb.memory = 1024
    vb.default_nic_type = "virtio"
  end

end
